Re: PAKCS and Sicstus 3.12

From: Michael Hanus <mh_at_informatik.uni-kiel.de>
Date: Tue, 21 Dec 2004 14:26:39 +0100

Marco Comini wrote:
> Dear PAKCS gurus,
> I'm having troubles with saved states in the new version of
> sicstus 3.12. Packs reports the error
>
> ERROR: UNKNOWN SICSTUS PROLOG VERSION:
> Please modify pakcs/curry2prolog/saveprog.pl

This error message is included since sometimes the Sicstus guys do
incompatible changes. Therefore, I usually test PAKCS with
a new Sicstus version before putting this into a new release.

> Is there an easy fix or Sicstus guys have (again?) changed the state
> format and, while I wait for a new PAKCS release, I have to install
> old 3.11?

Fortunately, I have successfully tested PAKCS with the new
Sicstus-Version in the last week and everything seems to work.
Therefore, I put a new version of PAKCS into the latest release
in the PAKCS web pages which should work with Sicstus 3.12:

http://www.informatik.uni-kiel.de/~pakcs/latest_release.tgz

If you do not want to install a complete new version, please
contact me and then I can explain you an easy fix for your
current PAKCS version.

Best regards,

Michael

_______________________________________________
curry mailing list
curry_at_lists.RWTH-Aachen.DE
http://MailMan.RWTH-Aachen.DE/mailman/listinfo/curry
Received on Tue Dec 21 2004 - 15:09:38 CET

This archive was generated by hypermail 2.3.0 : Mon Sep 23 2019 - 07:15:05 CEST